# ===============================================
# (C) 2018 AO Kaspersky Lab. All Rights Reserved.
# ===============================================
import dt_Options as Options
from datetime import datetime

def info(startTime, operation, rowCount):

    category = 'Detector.py'

    duration_ss = (datetime.now()-startTime).seconds

    _query = None
    dbHelper = None
    if Options.AptDbType =='PGSQL':
        import dt_DbHelperPg as DbHelperPg
        dbHelper = DbHelperPg.DbHelperPg(Options.PgConnection)
        _query = """select common.log_operation_dur(
                    '""" + str(duration_ss) + """',
                    '""" + category + """',
                    '""" + operation + """',
                    """ + str(rowCount) + """);"""

    elif Options.AptDbType =='MSSQL':
        import dt_DbHelper as DbHelper
        dbHelper = DbHelper.DbHelperMs(Options.MsServer, Options.MsUser, Options.MsPassword, Options.MsDataBase)
        _query = """EXECUTE log.log_operation_dur
                    @duration_ss = '""" + str(duration_ss) + """'
                    ,@category = '""" + category + """'
                    ,@operation = '""" + operation + """'
                    ,@row_count = """ + str(rowCount)
    else:
        raise NameError("Unknown AptDbType type '"+Options.AptDbType+"'")
    dbHelper.ExecuteScalarQuery(_query)


